package ru.ulstu.odin.model;

import ru.ulstu.odin.model.annotation.OdinDate;

import java.lang.reflect.Field;

public class OdinDateField extends OdinField {
    private final OdinDate.OdinDateType type;

    public OdinDateField(Field field) {
        super(field, OdinFieldType.DATE);
        this.type = getValue(OdinDate.class, "type", OdinDate.OdinDateType.class);
    }

    public String getType() {
        return type.toString();
    }
}
